Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dynamicbees
Class BeePointProbe

    java.lang.Object
      madkit.kernel.Probe<AbstractAgent>
          madkit.simulation.probes.ReflexiveProbe
              dynamicbees.BeePointProbe

    public class BeePointProbe

extends ReflexiveProbe

This probe inspects a property of an AbstractBee which is a Point.

Version:
  2.0
Author:
  Fabien Michel

Field Summary

Fields inherited from class madkit.simulation.probes.ReflexiveProbe
`fields`

Constructor Summary
`BeePointProbe(java.lang.String group, java.lang.String role, java.lang.String property)`

Method Summary
`A` | `getAgentNb(int nb)`
`java.util.ListIterator<A>` | `getAgentsIterator()` Deprecated. as of MadKit 4.3 : simply type `getCurrentAgentsList().listIterator()`
`java.lang.String` | `getCommunity()`
`java.util.List<A>` | `getCurrentAgentsList()`
`java.lang.String` | `getGroup()`
`java.awt.Point[]` | `getPoints()`
`java.lang.String` | `getRole()`
`java.util.List<A>` | `getShuffledList()`
`void` | `initialize()` this method is automatically invoked the first time the agents variable is updated so it's a good place to initialize activator's parameters like in the SingleMethodActivator for example
`int` | `numberOfAgents()`
`java.lang.String` | `toString()`
`void` | `update(AbstractAgent theAgent, boolean added)` this method is automatically invoked when changes occur on the considered group/role couple

Methods inherited from class madkit.simulation.probes.ReflexiveProbe
`findFields, getBoolean, getChar, getDouble, getLong, getObject, getProperty, getPropertyCount, updateFieldFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeePointProbe

    public BeePointProbe(java.lang.String group,
                         java.lang.String role,
                         java.lang.String property)

Method Detail

### initialize

    public void initialize()

  Description copied from class: `Probe`
  this method is automatically invoked the first time the agents variable is updated so it's a good place to initialize activator's parameters like in the SingleMethodActivator for example

  Overrides:
    `initialize` in class `ReflexiveProbe`

### update

    public void update(AbstractAgent theAgent,
                       boolean added)

  Description copied from class: `Probe`
  this method is automatically invoked when changes occur on the considered group/role couple

  Overrides:
    `update` in class `ReflexiveProbe`
  Parameters:
    `theAgent` - is the agent which have been added or removed from the agents collection (a List)
    `added` - is true is theAgent has been added to the agents, false if removed from it

### getPoints

    public java.awt.Point[] getPoints()

### getAgentsIterator

    public final java.util.ListIterator<A> getAgentsIterator()

  Deprecated. as of MadKit 4.3 : simply type `getCurrentAgentsList().listIterator()`

  Returns:
    a ListIterator over the agents that handle the group/role couple
  Since:
    MadKit 3.0

### getShuffledList

    public final java.util.List<A> getShuffledList()

  Returns:
    a ListIterator which has been previously shuffled
  Since:
    MadKit 3.0

### getCurrentAgentsList

    public final java.util.List<A> getCurrentAgentsList()

  Returns:
    a list view (a snapshot at moment t) of the agents that handle the group/role couple (in proper sequence)
  Since:
    MadKit 3.0

### numberOfAgents

    public final int numberOfAgents()

  Returns:
    the number of the agents that handle the group/role couple

### getAgentNb

    public final A getAgentNb(int nb)

### getCommunity

    public final java.lang.String getCommunity()

### getGroup

    public final java.lang.String getGroup()

### getRole

    public final java.lang.String getRole()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.